/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class EntregaPremiosPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "codigo_consultor")
    private String codigoConsultor;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "programa")
    private String programa;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 15)
    @Column(name = "autorizado")
    private String autorizado;

    public EntregaPremiosPK() {
    }

    public EntregaPremiosPK(String codigoConsultor, String programa, String autorizado) {
        this.codigoConsultor = codigoConsultor;
        this.programa = programa;
        this.autorizado = autorizado;
    }

    public String getCodigoConsultor() {
        return codigoConsultor;
    }

    public void setCodigoConsultor(String codigoConsultor) {
        this.codigoConsultor = codigoConsultor;
    }

    public String getPrograma() {
        return programa;
    }

    public void setPrograma(String programa) {
        this.programa = programa;
    }

    public String getAutorizado() {
        return autorizado;
    }

    public void setAutorizado(String autorizado) {
        this.autorizado = autorizado;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (codigoConsultor != null ? codigoConsultor.hashCode() : 0);
        hash += (programa != null ? programa.hashCode() : 0);
        hash += (autorizado != null ? autorizado.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof EntregaPremiosPK)) {
            return false;
        }
        EntregaPremiosPK other = (EntregaPremiosPK) object;
        if ((this.codigoConsultor == null && other.codigoConsultor != null) || (this.codigoConsultor != null && !this.codigoConsultor.equals(other.codigoConsultor))) {
            return false;
        }
        if ((this.programa == null && other.programa != null) || (this.programa != null && !this.programa.equals(other.programa))) {
            return false;
        }
        if ((this.autorizado == null && other.autorizado != null) || (this.autorizado != null && !this.autorizado.equals(other.autorizado))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.EntregaPremiosPK[ codigoConsultor=" + codigoConsultor + ", programa=" + programa + ", autorizado=" + autorizado + " ]";
    }

}
